Bug 88756 - [WK2][EFL][WTR] TestNetscapePlugin is required.
Summary: [WK2][EFL][WTR] TestNetscapePlugin is required.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-10 23:11 PDT by Ryuan Choi
Modified: 2012-07-27 03:45 PDT (History)
14 users (show)

See Also:


Attachments
Added cmake script for TestNetscapePlugin (3.16 KB, patch)
2012-06-12 01:12 PDT, KwangYong Choi
no flags Details | Formatted Diff | Diff
Added cmake script for TestNetscapePlugin (3.12 KB, patch)
2012-06-12 17:18 PDT, KwangYong Choi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryuan Choi 2012-06-10 23:11:00 PDT
TestNetscapePlugin should be required for WTR/Efl.
Comment 1 KwangYong Choi 2012-06-12 01:12:48 PDT
Created attachment 147031 [details]
Added cmake script for TestNetscapePlugin
Comment 2 Ryuan Choi 2012-06-12 16:08:32 PDT
Comment on attachment 147031 [details]
Added cmake script for TestNetscapePlugin

View in context: https://bugs.webkit.org/attachment.cgi?id=147031&action=review

> Tools/CMakeLists.txt:6
> +    ADD_SUBDIRECTORY(DumpRenderTree/TestNetscapePlugIn)

You commented that this is required for WTR/EFL, but it is in DRT/.
Isn't it required DRT also?

I want to know whether this make the results of DRT better.

> Tools/ChangeLog:4
> +        Added cmake script for TestNetscapePlugin
> +        https://bugs.webkit.org/show_bug.cgi?id=88756

Bug title is different.

> Tools/DumpRenderTree/TestNetscapePlugIn/CMakeLists.txt:8
> +    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/main.cpp
> +    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/DocumentOpenInDestroyStream.cpp

We commonly give an empty line when folder is changed in sour lists.

> Tools/DumpRenderTree/TestNetscapePlugIn/CMakeLists.txt:35
> +ADD_LIBRARY(TestNetscapePlugin SHARED ${WebKitTestNetscapePlugin_SOURCES})
> +

Empty line is not necessary.
Comment 3 KwangYong Choi 2012-06-12 17:18:48 PDT
Created attachment 147198 [details]
Added cmake script for TestNetscapePlugin

This patch is just for building TestNetscapePlugin.
Basically, all the plugin tests require this TestNetscapePlugin.

The test script on DRT and WTR should be changed for this plugin, I think.
In case of WTR, environment variable TEST_RUNNER_TEST_PLUGIN_PATH is needed for plugin test.
Comment 4 Gyuyoung Kim 2012-06-12 17:47:29 PDT
(In reply to comment #3)
> Created an attachment (id=147198) [details]
> Added cmake script for TestNetscapePlugin
> 
> This patch is just for building TestNetscapePlugin.
> Basically, all the plugin tests require this TestNetscapePlugin.
> 
> The test script on DRT and WTR should be changed for this plugin, I think.
> In case of WTR, environment variable TEST_RUNNER_TEST_PLUGIN_PATH is needed for plugin test.

I have a question. How can WTR recognize TEST_RUNNER_TEST_PLUGIN_PATH environment variable ? Does WTR already support it ?
Comment 5 KwangYong Choi 2012-06-12 17:57:15 PDT
(In reply to comment #4)
> (In reply to comment #3)
> > Created an attachment (id=147198) [details] [details]
> > Added cmake script for TestNetscapePlugin
> > 
> > This patch is just for building TestNetscapePlugin.
> > Basically, all the plugin tests require this TestNetscapePlugin.
> > 
> > The test script on DRT and WTR should be changed for this plugin, I think.
> > In case of WTR, environment variable TEST_RUNNER_TEST_PLUGIN_PATH is needed for plugin test.
> 
> I have a question. How can WTR recognize TEST_RUNNER_TEST_PLUGIN_PATH environment variable ? Does WTR already support it ?

The test script for WTR is implemented locally, but it's not contributed yet.
As I know, Kangil Han has a plan to contribute the test script for WTR.
Comment 6 Gyuyoung Kim 2012-06-12 22:53:12 PDT
Informal rs+ on my side for EFL WTR support.
Comment 7 Ryuan Choi 2012-06-12 23:21:43 PDT
Looks fine to me, too.
Comment 8 Ryuan Choi 2012-07-04 21:12:32 PDT
Bug 87659 can be solved without this, So I will remove the dependency.
Comment 9 WebKit Review Bot 2012-07-27 03:45:16 PDT
Comment on attachment 147198 [details]
Added cmake script for TestNetscapePlugin

Clearing flags on attachment: 147198

Committed r123859: <http://trac.webkit.org/changeset/123859>
Comment 10 WebKit Review Bot 2012-07-27 03:45:23 PDT
All reviewed patches have been landed.  Closing bug.